Обход ограничений безопасности в Ghostscript

Дата публикации:
20.07.2010
Дата изменения:
20.07.2010
Всего просмотров:
876
Опасность:
Низкая
Наличие исправления:
Инстуркции по устранению
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:H/Au:N/C:P/I:P/A:P/E:U/RL:W/RC:C) = Base:5.1/Temporal:4.1
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Ghostscript 8.x
Уязвимые версии: Ghostscript 8.71, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю обойти некоторые ограничения безопасности и скомпрометировать целевую систему.

Уязвимость существует из-за того, что приложение считывает определенные postscript файлы в текущей директории при установленной опции "-P-". Удаленный пользователь может выполнить произвольные postscript команды посредством "gs_init.ps" файла, если пользователь откроет файл с ключом "-P-" в контролируемой злоумышленником директории.

URL производителя: www.ghostscript.com

Решение: Установите исправление из репозитория производителя.

Ссылки: https://bugzilla.novell.com/show_bug.cgi?id=608071
http://bugs.ghostscript.com/show_bug.cgi?id=691350

или введите имя

CAPTCHA